Subject: Re: [core] [Anima] looking for practical advice on managing YANG source in XML format RFCs

From: Michael Richardson <[email-masked]>
Date: Sun, 13 Jun 2021 21:33:22 -0400

Michael Richardson <[email-masked]> wrote:
    > 3) how do I get my YANG includes downloaded, and do I put them into my repo?

The other part of the question is how to manage the various extensions that
are occuring.  What I know about so far: (ascii art warning. fixed font needed)
https://www.yangcatalog.org/yang-search/impact_analysis/ietf-voucher@2018-05-09

RFC8355(voucher) ----> RFC8995(voucher-request)
   \                                     \
   |\                                    |\
   | \                                   | \
   | ietf-anima-constrained-voucher      |  ietf-anima-constrained-voucher
   |     [ietf-constrained-voucher]      |   [ietf-constrained-voucher-request]
   |                                     |
   \                                     \
   |\                                     \
   | \                                     \
   |  ietf-anima-brski-cloud                ietf-anima-brski-async-enroll
   |     [ietf-redirected-voucher]            [ietf-async-voucher-request]
   \
    \
     \
      richardson-anima-voucher-delegation
         [ietf-delegated-voucher]

* ietf-{redirected,delegated}-voucher are probably bad names,
and it should be ietf-voucher-{redirected,delegated}.  Just noticed that.

So far, we haven't needed to mix anything from voucher extensions into
voucher-requests extensions.

But, having a constrained-voucher which is also a delegated-voucher does make
sense.   Since the constrained-voucher users the yang-sid to serialize to
CBOR, I don't know exactly how that is going to work.

I would sure like be sure that we know to mix and match these groupings.
I suspect that one has to write a new YANG file importing all the different
groupings?

I also suspect that it might be time for RFC8366bis that just wraps these
things all up into a single document.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide